org.jgrapht.alg.interfaces

## Interface MaximumFlowAlgorithm<V,E>

- Type Parameters:
    `V` - vertex concept type
    `E` - edge concept type
  All Known Implementing Classes:
    EdmondsKarpMaximumFlow, EdmondsKarpMaximumFlow, MaximumFlowAlgorithmBase, PushRelabelMaximumFlow

      public interface MaximumFlowAlgorithm<V,E>

  Allows to derive maximum-flow from the supplied flow network

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `MaximumFlowAlgorithm.MaximumFlow<V,E>`
    `static class` | `MaximumFlowAlgorithm.MaximumFlowImpl<V,E>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaximumFlowAlgorithm.MaximumFlow<V,E>` | `buildMaximumFlow(V source, V sink)` Builds maximum flow for the supplied network flow, for the supplied ${source} and ${sink}

- - ### Method Detail

    - #### buildMaximumFlow

          MaximumFlowAlgorithm.MaximumFlow<V,E> buildMaximumFlow(V source,
                                                               V sink)

      Builds maximum flow for the supplied network flow, for the supplied ${source} and ${sink}
      Parameters:
        `source` - source of the flow inside the network
        `sink` - sink of the flow inside the network
      Returns:
        maximum flow

Copyright © 2016. All rights reserved.